Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports System.Drawing

<DefaultClassOptions(), CreatableItem(False), NavigationItem(False)> _
Public Class MobileListDashboards
    Inherits BaseObject
    Private _GroupIndex As Long 'Csoportosítás sorrendje
    Private _GroupName As String 'Csoportosítás megnevezése
    Private _ShortName As String 'Megnevezés
    Private _RowIndex As Long ' A csoporton belüli sorrend
    Private _Description As String 'Leírás
    Private _Image_32x32 As Image 'Kép
    Private _Role As Role 'Szabály
    Private _BusinessDirectory As BusinessDirectory

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property GroupIndex As Long
        Get
            Return _GroupIndex
        End Get
        Set(value As Long)
            SetPropertyValue("GroupIndex", _GroupIndex, value)
        End Set
    End Property
    Property GroupName As String
        Get
            Return _GroupName
        End Get
        Set(value As String)
            SetPropertyValue("GroupName", _GroupName, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    <ValueConverter(GetType(DevExpress.Xpo.Metadata.ImageValueConverter))> _
    Property Image_32x32 As Image
        Get
            Return _Image_32x32
        End Get
        Set(value As Image)
            SetPropertyValue("Image_32x32", _Image_32x32, value)
        End Set
    End Property
    Property Role As Role
        Get
            Return _Role
        End Get
        Set(value As Role)
            SetPropertyValue("Role", _Role, value)
        End Set
    End Property
    Property BusinessDirectory As BusinessDirectory
        Get
            Return _BusinessDirectory
        End Get
        Set(value As BusinessDirectory)
            SetPropertyValue("BusinessDirectory", _BusinessDirectory, value)
        End Set
    End Property
End Class
